Package org.eclipse.graphiti.internal.services

## Interface IEmfService

All Known Implementing Classes:
  `EmfService`

    public interface IEmfService

### Method Summary

All Methods Instance Methods Abstract Methods
`IDiagramTypeProvider` `getDTPForDiagram​(Diagram d)`
`boolean` `isObjectAlive​(org.eclipse.emf.ecore.EObject obj)`
`void` `wireDTPToDiagram​(Diagram d, IDiagramTypeProvider provider)`

### Method Detail

#### isObjectAlive

    boolean isObjectAlive​(org.eclipse.emf.ecore.EObject obj)

#### getDTPForDiagram

    IDiagramTypeProvider getDTPForDiagram​(Diagram d)

#### wireDTPToDiagram

    void wireDTPToDiagram​(Diagram d,
                          IDiagramTypeProvider provider)